Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.builder
Class SwiftPattern

    java.lang.Object
      com.stc.swift.builder.SwiftOTDBuilderObjAdapter
          com.stc.swift.builder.SwiftPattern

All Implemented Interfaces:
  SwiftBuilderConstants, SwiftOTDBuilderObject

    public class SwiftPattern

extends SwiftOTDBuilderObjAdapter
implements SwiftBuilderConstants

DOCUMENT ME!

Version:
  $Revision: 1.2 $

Field Summary

Fields inherited from interface com.stc.swift.builder.SwiftBuilderConstants
`END_OF_CTRL_POINT, MSG_ABNORM_ADDING_ENTRY_TO_NON_CONTAINER, MSG_ABNORM_ADDING_FIELD_TO_NON_CONTAINER, MSG_ABNORM_ALTRN_FLD_HAS_NO_OPTS, MSG_ABNORM_NO_OPT_ENTRY_FOR_NON_LITERAL, MSG_ABNORM_NON_LITERAL_FLD_HAS_NO_OPTS, MSG_ABNORM_SEQU_INSIDE_ANONYM_SEQU, MSG_ABNORM_SIMPLE_FLD_HAS_MULTI_OPTS, MSG_ERROR_ADDING_ENTRY, MSG_EXPECT_DESCS_IN_FMT, MSG_EXPECT_LINE_START_WITH, MSG_EXPECT_OPT_IN_FMT, MSG_EXPECT_PATTS_IN_FMT, MSG_HREF_NOT_FOUND, MSG_INVALID_FLD_SPEC_PATTERN, MSG_INVALID_FMT_SPEC_WRONG_FLD_CNT, MSG_INVALID_HRF_SPEC_ENTRY, MSG_INVALID_QUALIFIER_ENTRY_7_FLD_EXPECTED, MSG_INVALID_QUALIFIER_ENTRY_FLD_VAL_EXPECTED, MSG_NO_EXPECTED_TAG_FOUND, MSG_NO_FORMAT_ENTRIES_FOUND, MSG_NO_FORMAT_SEC_FOUND, MSG_NOT_HTML_ERROR, MSG_PATTS_DESCS_NOT_MATCH, MSG_SEQU_STACK_UNDERFLOW, MSG_TABLE_CLOSE_NOT_FOUND, MSG_TABLE_HEADER_NOT_FOUND, MSG_TABLE_OPEN_NOT_FOUND, NAME_FLD_SPEC_PAGE, NAME_FMT_SPEC_PAGE, START_OF_CTRL_POINT, STF_ALTRN_CTRL_ATTRIBUTE, STF_ALTRN_ENTRY_ID, STF_ALTRN_IS_OPTIONAL, STF_ALTRN_OPTION_CHOICE, STF_DIFF_LEFT_MARK, STF_DIFF_RIGHT_MARK, STF_DIFF_SEPARATOR, STF_ENTRY_ALTRN, STF_ENTRY_FIELD, STF_ENTRY_LOOP, STF_ENTRY_OPTION, STF_ENTRY_SEQU, STF_FIELD_ENTRY_ID, STF_FIELD_EXPANSION, STF_FIELD_IS_OPTIONAL, STF_FIELD_PATT_ID, STF_FIELD_TAG, STF_FIOPT_ENTRY_ID, STF_FIOPT_FIELD_TAG, STF_FIOPT_IS_OPTIONAL, STF_FIOPT_OPTION_CHOICE, STF_FIOPT_OPTION_EXPANSION, STF_FIOPT_PATT_ID, STF_LOOP_CTRL_ATTRIBUTE, STF_LOOP_ENTRY_ID, STF_LOOP_MAX_OCC, STF_LOOP_MIN_OCC, STF_PATS_DEFAULT_VALUE, STF_PATS_EXISTENCE_CONDITION, STF_PATS_IS_EDITABLE, STF_PATS_IS_OPTIONAL, STF_PATS_IS_VERIFIABLE, STF_PATS_IS_VISIBLE, STF_PATS_MAX_CHAR, STF_PATS_MIN_CHAR, STF_PATS_NB_ROWS, STF_PATS_PROMPT, STF_PATS_ROW_SEPARATOR, STF_PATS_TYPE, STF_PATT_ID_PATS_ID, STF_SEQU_CTRL_ATTRIBUTE, STF_SEQU_ENTRY_ID, STF_SEQU_EXPANSION, STF_SEQU_IS_OPTIONAL, STF_SPACER`

Constructor Summary
`SwiftPattern(SwiftOTDBuilderObject parent)` Creates a new SwiftPattern object.

Method Summary
`void` | `diff(SwiftOTDBuilderObject obj, java.io.PrintWriter writer, boolean coreAttrOnly)`
`java.lang.String` | `getID()`
`java.lang.String` | `getOriginalDesc()`
`java.lang.String` | `getOriginalPatt()`
`SwiftOTDBuilderObject` | `getParent()`
`java.lang.String` | `getPatDefVal()`
`java.lang.String` | `getPatExistCond()`
`java.lang.Integer` | `getPatFixedLen()`
`java.lang.String` | `getPatIsEdit()`
`java.lang.String` | `getPatIsOpt()`
`boolean` | `getPatIsOptP()`
`java.lang.String` | `getPatIsVerify()`
`java.lang.String` | `getPatIsVisible()`
`java.lang.String` | `getPatMaxChar()`
`java.lang.Integer` | `getPatMaxCharI()`
`java.lang.String` | `getPatMinChar()`
`java.lang.Integer` | `getPatMinCharI()`
`java.lang.String` | `getPatNbRows()`
`java.lang.Integer` | `getPatNbRowsI()`
`java.lang.String` | `getPatPrompt()`
`java.lang.String` | `getPatRowSep()`
`java.lang.String` | `getPatt_sId()`
`java.lang.String` | `getPatType()`
`void` | `parse(java.io.LineNumberReader lnr)` Parser for the Swift Description file.
`void` | `print(java.io.PrintWriter writer)`
`void` | `setOriginalDesc(java.lang.String s)`
`void` | `setOriginalPatt(java.lang.String s)`
`void` | `setParent(SwiftOTDBuilderObject parent)`
`void` | `setPatDefVal(java.lang.String s)`
`void` | `setPatExistCond(java.lang.String s)`
`void` | `setPatIsEdit(java.lang.String s)`
`void` | `setPatIsOpt(java.lang.String s)`
`void` | `setPatIsOptP(java.lang.String s)`
`void` | `setPatIsVerify(java.lang.String s)`
`void` | `setPatIsVisible(java.lang.String s)`
`void` | `setPatMaxChar(java.lang.String s)`
`void` | `setPatMaxCharI(java.lang.String s)`
`void` | `setPatMinChar(java.lang.String s)`
`void` | `setPatMinCharI(java.lang.String s)`
`void` | `setPatNbRows(java.lang.String s)`
`void` | `setPatNbRowsI(java.lang.String s)`
`void` | `setPatPrompt(java.lang.String s)`
`void` | `setPatRowSep(java.lang.String s)`
`void` | `setPatt_sId(java.lang.String s)`
`void` | `setPatType(java.lang.String s)`

Methods inherited from class com.stc.swift.builder.SwiftOTDBuilderObjAdapter
`calculateRepetitiveInfo, genMap, getHRFEntry, getMTType, mapName, print, setHRFEntry`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SwiftPattern

    public SwiftPattern(SwiftOTDBuilderObject parent)

  Creates a new SwiftPattern object.

Method Detail

### getPatt_sId

    public java.lang.String getPatt_sId()

### getPatPrompt

    public java.lang.String getPatPrompt()

### getPatMinChar

    public java.lang.String getPatMinChar()

### getPatMinCharI

    public java.lang.Integer getPatMinCharI()

### getPatMaxChar

    public java.lang.String getPatMaxChar()

### getPatMaxCharI

    public java.lang.Integer getPatMaxCharI()

### getPatFixedLen

    public java.lang.Integer getPatFixedLen()

### getPatNbRows

    public java.lang.String getPatNbRows()

### getPatNbRowsI

    public java.lang.Integer getPatNbRowsI()

### getPatRowSep

    public java.lang.String getPatRowSep()

### getPatType

    public java.lang.String getPatType()

### getPatDefVal

    public java.lang.String getPatDefVal()

### getPatExistCond

    public java.lang.String getPatExistCond()

### getPatIsVisible

    public java.lang.String getPatIsVisible()

### getPatIsOpt

    public java.lang.String getPatIsOpt()

### getPatIsOptP

    public boolean getPatIsOptP()

### getPatIsEdit

    public java.lang.String getPatIsEdit()

### getPatIsVerify

    public java.lang.String getPatIsVerify()

### parse

    public void parse(java.io.LineNumberReader lnr)
               throws SwiftParsingException,
                      java.io.IOException

  Parser for the Swift Description file.

  Parameters:
    `:` - A buffered character-input stream that keeps track of line numbers of the Swift description.
  Throws:
    `SwiftParsingException:` - Parsing of the Swift Description file has failed.
    `IOException:` - Failed or interrupted I/O operation.
    `SwiftParsingException`
    `java.io.IOException`

### setPatt_sId

    public void setPatt_sId(java.lang.String s)

### setPatPrompt

    public void setPatPrompt(java.lang.String s)

### setPatMinChar

    public void setPatMinChar(java.lang.String s)

### setPatMinCharI

    public void setPatMinCharI(java.lang.String s)

### setPatMaxChar

    public void setPatMaxChar(java.lang.String s)

### setPatMaxCharI

    public void setPatMaxCharI(java.lang.String s)

### setPatNbRows

    public void setPatNbRows(java.lang.String s)

### setPatNbRowsI

    public void setPatNbRowsI(java.lang.String s)

### setPatRowSep

    public void setPatRowSep(java.lang.String s)

### setPatType

    public void setPatType(java.lang.String s)

### setPatDefVal

    public void setPatDefVal(java.lang.String s)

### setPatExistCond

    public void setPatExistCond(java.lang.String s)

### setPatIsVisible

    public void setPatIsVisible(java.lang.String s)

### setPatIsOpt

    public void setPatIsOpt(java.lang.String s)

### setPatIsOptP

    public void setPatIsOptP(java.lang.String s)

### setPatIsEdit

    public void setPatIsEdit(java.lang.String s)

### setPatIsVerify

    public void setPatIsVerify(java.lang.String s)

### getParent

    public SwiftOTDBuilderObject getParent()

  Specified by:
    `getParent` in interface `SwiftOTDBuilderObject`
  Overrides:
    `getParent` in class `SwiftOTDBuilderObjAdapter`

### setParent

    public void setParent(SwiftOTDBuilderObject parent)

  Specified by:
    `setParent` in interface `SwiftOTDBuilderObject`
  Overrides:
    `setParent` in class `SwiftOTDBuilderObjAdapter`

### getID

    public java.lang.String getID()

  Specified by:
    `getID` in interface `SwiftOTDBuilderObject`
  Overrides:
    `getID` in class `SwiftOTDBuilderObjAdapter`

### setOriginalPatt

    public void setOriginalPatt(java.lang.String s)

### getOriginalPatt

    public java.lang.String getOriginalPatt()

### setOriginalDesc

    public void setOriginalDesc(java.lang.String s)

### getOriginalDesc

    public java.lang.String getOriginalDesc()

### print

    public void print(java.io.PrintWriter writer)
               throws java.lang.Exception

  Specified by:
    `print` in interface `SwiftOTDBuilderObject`
  Overrides:
    `print` in class `SwiftOTDBuilderObjAdapter`
  Throws:
    `java.lang.Exception`

### diff

    public void diff(SwiftOTDBuilderObject obj,
                     java.io.PrintWriter writer,
                     boolean coreAttrOnly)
              throws java.lang.Exception

  Specified by:
    `diff` in interface `SwiftOTDBuilderObject`
  Overrides:
    `diff` in class `SwiftOTDBuilderObjAdapter`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.